Bug 140161 - gnome-volume-control does not "unmute"
gnome-volume-control does not "unmute"
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-20 08:36 EST by Bernd Bartmann
Modified: 2013-03-13 00:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 23:21:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of gnome-volume-control (32.65 KB, image/jpeg)
2005-03-30 13:07 EST, Bernd Bartmann
no flags Details

  None (edit)
Description Bernd Bartmann 2004-11-20 08:36:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
After clicking the mute button in gnome-volume-control for the master
volume the sound is muted correctly, but clicking the button again to
unmute does not work. To hear some sound again I have to also move the
volume sliders. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run gnome-volume-control, then click mute and unmute
2.
3.
    

Additional info:
Comment 1 Need Real Name 2004-11-28 09:13:23 EST
Mute is broken, it should never touch the volume control, it should
just kill the sound.

(Also, if a button is set to "mute" the volume in
gnome-keybinding-properties, pressing the "mute" button a second time
does not unmute the volume.)
Comment 2 Christoph Wickert 2005-03-06 09:50:47 EST
first off all I can't reproduce this one here (gnome-media-2.8.0-3.FC3.1), but ...
(In reply to comment #1)
> (Also, if a button is set to "mute" the volume in
> gnome-keybinding-properties, pressing the "mute" button a second time
> does not unmute the volume.)

It _does_ on my Core 2 system.
Comment 3 John (J5) Palmieri 2005-03-06 10:40:39 EST
This works for me.  

> Mute is broken, it should never touch the volume control, it should
> just kill the sound.

It does just kill the sound.  Moving the volume slider just kills the mute. 
Same behavior as a TV.  It is assumed if you are raising the volume you don't
want it muted anymore.

Looks like this may be a hardware problem.  Are you sure it doesn't unmute when
you hit it the second time but for some reason the soundcard didn't pick it up?
 What happens when you hit is a second time?  Does the sound icon pop up and
change?  Try this.  Hit the mute button, use the volume slider to get sound back
and hit the mute button again.  Is sound muted?  What key are you assigning to
mute and on what hardware? Thanks.
Comment 4 Bernd Bartmann 2005-03-07 13:54:42 EST
Once the master volume is muted I can click as often as I want on the mute
checkbox but it never unmutes again. What's really strange is that the mute
checkbox on the PCM volume control works correctly.

What sound icon do you mean that should pop up?

Muting and then moving the volume slider does not unmute automatically I have to
uncheck the mute checkbox first.

I haven't assigned any key for muting I'm just using the system default settings.
Hardware is a GigaByte GA-8KNXP mainboard, Realtek ALC658 codec, Intel8x0.
Comment 5 John (J5) Palmieri 2005-03-29 16:17:58 EST
A borderless dialog should popup when you raise or lower your sound and when you
hit the mute button with the multimedia keys.  There is an icon of a speaker in
it which will change depending on if you are muted or not.  Does this change
when you hit the mute button?
Comment 6 Bernd Bartmann 2005-03-30 13:05:28 EST
I'm confused now. I guess you mean the volume control in the gnome panel? But I
mean gnome-volume-control. Please have a look at the attached screenshot.
Comment 7 Bernd Bartmann 2005-03-30 13:07:18 EST
Created attachment 112466 [details]
Screenshot of gnome-volume-control
Comment 8 John (J5) Palmieri 2005-03-30 13:24:31 EST
ok, sorry I read the bug wrong.  I thought it had to do with the multimedia keys
for muting and unmuting.
Comment 9 Matthew Miller 2006-07-10 16:52:13 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 10 John Thacker 2006-10-30 23:21:14 EST
Certainly WORKSFORME too now.  It doesn't seem like people could duplicate it at
the time, and gnome-volume-control is a lot different from when this was filed.
 Closing.

Note You need to log in before you can comment on or make changes to this bug.